import RPi.GPIO as GPIO
import time

LED=[2,3,4,17,27,22,10,9]
EXP2=[1,2,4,8,16,32,64,128]

print ("Binary counter")
GPIO.setmode(GPIO.BCM) # access pins by their number

for n in LED:  # Configure all pins to output mode
    GPIO.setup(n, GPIO.OUT)

cnt = 0

try:
    while True:
        for n in range(1,8):
            GPIO.output(LED[n], cnt & EXP2[n]) 
        time.sleep(0.1)
        cnt += 1 %  256

except KeyboardInterrupt:
    GPIO.cleanup()
    print ("Bye…")
