import RPi.GPIO as GPIO
import time

output1_pin=2
output2_pin=3
input_pin=4
length=7

# available pins: 2,3,4,17,27,22,10,9
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.setup(output1_pin, GPIO.OUT)
GPIO.setup(output2_pin, GPIO.OUT)
GPIO.setup(input_pin, GPIO.IN, pull_up_down=GPIO.PUD_UP)

# 00
for n in range(length):
    GPIO.output(output1_pin, GPIO.LOW)
    GPIO.output(output2_pin, GPIO.LOW)
    print(0, 2, 4+GPIO.input(input_pin))   
# 01
for n in range(length):
    GPIO.output(output1_pin, GPIO.LOW)
    GPIO.output(output2_pin, GPIO.HIGH)
    print(0, 3, 4+GPIO.input(input_pin))
# 10
for n in range(length):
    GPIO.output(output1_pin, GPIO.HIGH)
    GPIO.output(output2_pin, GPIO.LOW)
    print(1, 2, 4+GPIO.input(input_pin))
# 11
for n in range(length):
    GPIO.output(output1_pin, GPIO.HIGH)
    GPIO.output(output2_pin, GPIO.HIGH)
    print(1, 3, 4+GPIO.input(input_pin))